#pragma once
#include "Mod.h"

class Reach : public Mod {
public:
	float combatmultiliper = 1.f, blockmultiplier = 1.f;
	Reach() : Mod(_("Reach"), _("Expand your block / combat reach."), Category::GHOST) {
		settings.push_back(new Setting{ _("Combat Multiplier (NO WORKS FUCK OFF)"), &combatmultiliper, new float(10.f), new float(0.f), 2, {}, true, 10.f });
		settings.push_back(new Setting{ _("Block Multiplier"), &blockmultiplier, new float(10.f), new float(0.f), 2, {}, true, 10.f });

		enabled = false;
	}

private:
	virtual auto onGetPickRange(float* range) -> void;
};
